package com.example.ellegadodepintia.exploradoresDePintia.model

import android.app.Activity
import android.content.Context
import androidx.fragment.app.FragmentManager
import com.example.ellegadodepintia.exploradoresDePintia.model.eventoFactory.Evento
import java.lang.ref.WeakReference

object GameState {
    lateinit var eventoActual: Evento
    lateinit var fragmentManager : FragmentManager
    lateinit var jugador: Jugador
    private var contexto: WeakReference<Context>? = null

    val context: Activity?
        get() = contexto?.get() as? Activity

    fun setContexto(context: WeakReference<Context>) {
        contexto = context
    }

    //TODO() Este reset no va
    fun reset() {
        jugador.reset()
        contexto = null
    }

}
